---
title: "Approve or Unapprove Lodgement Applications"
url: "https://developer.pexa.co.uk/apis/lodgement-v1-v1/versions/5d60a5b6-f880-49a9-9ffa-3fcd91fe7f8f/operations/approveLodgementApplications"
---

> Full API specification: https://developer.pexa.co.uk/apis/lodgement-v1-v1/versions/5d60a5b6-f880-49a9-9ffa-3fcd91fe7f8f.md

# Approve or Unapprove Lodgement Applications

`POST` `/partner/api/platformconnect/v1/workspaces/{workspace_id}/lodgement-approvals`

Operation ID: `approveLodgementApplications`

This endpoint is used by conveyancing law firms to approve a lodgement case so the workspace can be prepared.

## Path parameters

- `workspace_id` (string, uuid, required) - Workspace id

## Header parameters

- `X-Request-Correlation-Id` (string, optional)

## Request body (required)

Content types: `application/json`

## Responses

- `202` - ACCEPTED
- `400` - BAD REQUEST
- `404` - NOT FOUND
- `422` - UNPROCESSABLE ENTITY
- `500` - INTERNAL SERVER ERROR
- `503` - SERVICE UNAVAILABLE

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Lodgement
  version: v1
servers:
  - url: https://api.pexa.co.uk
    description: API Gateway URL
paths:
  /partner/api/platformconnect/v1/workspaces/{workspace_id}/lodgement-approvals:
    post:
      tags:
        - LodgementApproval
      summary: Approve or Unapprove Lodgement Applications
      description: This endpoint is used by conveyancing law firms to approve a
        lodgement case so the workspace can be prepared.
      operationId: approveLodgementApplications
      security:
        - oauth2:
            - x-api:approve:lodgement_applications
            - x-api:unapprove:lodgement_applications
            - view:workspaces
            - view:lodgement_cases
      parameters:
        - in: header
          name: X-Request-Correlation-Id
          schema:
            type: string
            description: The unique identifier for the request
        - name: workspace_id
          in: path
          description: Workspace id
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        content:
          application/json:
            schema:
              required:
                - action
                - approvedBy
              type: object
              properties:
                action:
                  type: string
                  pattern: ^(APPROVE|UNAPPROVE)$
                  description: >
                    Action to perform on lodgement applications <br> Allowed
                    values: [`APPROVE`, `UNAPPROVE`]
                  example: APPROVE
                approvedBy:
                  type: string
                  description: Email address of the user who performed the approval action
                  example: approver@lawfirm.com
        required: true
      responses:
        "202":
          description: ACCEPTED
          headers:
            X-API-Version:
              schema:
                type: string
                description: The API version that was used to process the request.
            X-Request-Correlation-Id:
              schema:
                type: string
                description: The unique identifier for the request
          content:
            application/json:
              schema:
                required:
                  - lodgementCaseId
                properties:
                  lodgementCaseId:
                    type: string
                    format: uuid
                    description: Lodgement case id for which the applications will be approved or
                      unapproved
        "400":
          description: BAD REQUEST
          headers:
            X-API-Version:
              schema:
                type: string
                description: The API version that was used to process the request.
            X-Request-Correlation-Id:
              schema:
                type: string
                description: The unique identifier for the request
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                          description: Field
                        message:
                          type: string
                          description: Error message
              example:
                errors:
                  - field: action
                    message: action must be either APPROVE or UNAPPROVE
        "404":
          description: NOT FOUND
          headers:
            X-API-Version:
              schema:
                type: string
                description: The API version that was used to process the request.
            X-Request-Correlation-Id:
              schema:
                type: string
                description: The unique identifier for the request
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                          description: Field
                        message:
                          type: string
                          description: Error message
              example:
                errors:
                  - message: Not Found
        "422":
          description: UNPROCESSABLE ENTITY
          headers:
            X-API-Version:
              schema:
                type: string
                description: The API version that was used to process the request.
            X-Request-Correlation-Id:
              schema:
                type: string
                description: The unique identifier for the request
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                          description: Field
                        message:
                          type: string
                          description: Error message
              example:
                errors:
                  - message: Lodgement case status must be in PREPARED state for approval
        "500":
          description: INTERNAL SERVER ERROR
          headers:
            X-API-Version:
              schema:
                type: string
                description: The API version that was used to process the request.
            X-Request-Correlation-Id:
              schema:
                type: string
                description: The unique identifier for the request
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                          description: Field
                        message:
                          type: string
                          description: Error message
              example:
                errors:
                  - message: Internal Server Error
        "503":
          description: SERVICE UNAVAILABLE
          headers:
            X-API-Version:
              schema:
                type: string
                description: The API version that was used to process the request.
            X-Request-Correlation-Id:
              schema:
                type: string
                description: The unique identifier for the request
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                          description: Field
                        message:
                          type: string
                          description: Error message
              example:
                errors:
                  - message: Service under maintenance
security:
  - oauth2:
      - x-api:approve:lodgement_applications
      - x-api:unapprove:lodgement_applications
      - view:workspaces
      - view:lodgement_cases
components:
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://login.pexauk.co.uk/oauth/token
          scopes:
            x-api:create:attachments: Create access to the attachments
            x-api:add:workspace_files: Add access to the workspace files
            view:title_documents: View access to the title documents
            x-api:view:documents: View access to the documents
            x-api:approve:lodgement_applications: Approve access to lodgement applications
            x-api:unapprove:lodgement_applications: Unapprove access to lodgement applications
            x-api:submit:lodgement_applications: Submit access to lodgement applications
            x-api:add:lodgement_titles: Add titles to lodgementCase
            view:lodgement_cases: View lodgement cases
            view:lodgement_documents: View lodgement documents
            add:lodgement_files: Add access to the lodgement files
            view:lodgement_files: View access to the lodgement files
            submit:lodgement_applications: Submit access to the lodgement applications
            view:workspaces: View access to the workspaces
```
